$  Copyright(c) 1996 Sun Microsystems, Inc.
$  All rights reserved.

$  #ident  "@(#)tapetest.msg  1.13  98/12/17  SMI"


$ -----------------------
$ Messages for tapetest.c
$ -----------------------

$ --------------------------------------------------
$ VERBOSE
$ --------------------------------------------------

1	"Msg received: Type %d %s"
2	"File test is disabled in readonly mode."
3	"Sharing for 60 seconds."
4	"Rewinding tape."
5	"Retensioning tape."
6	"Erasing tape."
7	"Load in the first tape once again."
8	"Switch to 2nd device."
9	"Switch to next (%d) device."
10	"Unload tape %d and load tape %d."
11	"Test passed."
12	"Begin %s test on %s."
13	"Writing to end of tape."
14	"Writing %d blocks."
15	"Rewinding tape after %s."
16	"Reading to end of tape."
17	"Reading %d blocks."
18	"File test, %s 4 files."
19	"File test, reading to EOF on 3rd file."
20	"File test, reading to EOF on 4th file."
21	"Backspacing to start of 2nd file."
22	"Reading 2nd file again."
23	"Hit EOT at block %d."
24	"Connectivity Test was successful."
25	"Online Test was successful."
26	"recon: Started."
27	"SCSI tape name: %s."
28	"recon: Stopped."
29	"SCSI disk name: %s."
30	"recon : Passed."
31	"Retrying SCSI disconnect/reconnect."
32 	"Start Tape AsyncIO test from block %lld to %lld"
33  	"waiting for expert to set bit on vfd device(%d)\n"
34      "Device self-test diagnostic ran without error."

$ --------------------------------------------------
$ INFO	
$ --------------------------------------------------

2000	"%s specific arguments [defaults]:\n\
	dev =<device name> = name of tape device(required)\n\
	l   = specify length of test(EOT, Specified, Long or Short)\n\
	s   = specify # of blocks to be tested\n\
	d   = specify density of tape to open\n\
	m   = write read or read only test\n\
	ft  = enable/disable file test\n\
	ret = enable/disable retension\n\
	dat = DAT or DAT_Stacker/Other or Other_stacker\n\
	8mm = 8mm or 8mm_Library\n\
	num = Dat stacker magazine size\n"
2001    Connected: <drive type = %s>
2002    Busy: <Tape drive is currently being used>
2003    No media present: <Tape drive is connected, but no tape is inserted>
2004    Not connected: <Tape drive is not attached>
2005	"Tandberg QIC Read/Write media failure." \
Probable_Cause(s): <Incorrect test settings for older QIC tape media.> \
Recommended_Action(s): <Retry test with 512 byte blocksize setting.> <Retry test with read-only setting.> <Use highest capacity tape media drive will allow (refer to tape drive documentation for QIC media compatibilities).>

2006	"Log sense \nread counters:  0x2: %16.0f 0x3: %16.0f 0x6: %16.0f\n\
write counters: 0x2: %16.0f 0x3: %16.0f 0x6: %16.0f"

2007	"Unable to read log sense data: %s"

2008    "\n0x%x\t0x%x\t0x%x\t0x%x\t0x%x\t0x%x\t0x%x\t0x%x"

2100	"Expert Started."
2101	"Expert Completed."

$ W_UNIX_functional_err
4005 "%d Error(s) and %d Warning(s) reported in /var/adm/messages during diagnostic run:\nCheck /var/adm/messages between: %s and  %s\nMost likely a recoverable error. Too many recoverable errors may indicate a problem\n" Probable_Cause(s):  <Faulty hba/gbic/hub/switch/cable/disk> \
Recommended_Action(s): <See /var/adm/messages for more information:> <Run %s/stexpert -I -o dev=%s from the cli. StorEdge Expert will attempt to isolate the failing FRU.> <If the problem persists, call your authorized Sun service provider.>\n

$ W_UNIX_expert_err
4006 "%d Error(s) and %d Warning(s) reported in /var/adm/messages log during diagnostic run:\nCheck messages between: %s and %s\nMost likely a recoverable error. Too many recoverable errors may indicate a problem\n" Probable_Cause(s):  <Faulty hba/gbic/hub/switch/cable/disk> \
Recommended_Action(s): <See /var/adm/messages for more information:> <Run stexpert -I -o dev=%s from the cli to isolate the failing FRU.> <If the problem persists, call your authorized Sun service provider.>\n


$ W_lstat_err_msg
4010 "Couldn't lstat %s." Probable_Cause(s): <%s> <missing file> <system error> \
Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ W_open_err_msg
4012 "Couldn't open %s." Probable_Cause(s): <%s> <missing file> <system error> \
Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>


$ --------------------------------------------------
$ ERROR
$ --------------------------------------------------

6000	"Missing device name." \
Probable_Cause(s): <No device name specified.> \
Recommended_Action(s): <Retry test with correct device name specification.>

6001	"Failed ioctl on unload and load next tape: err_code = %d!" \
Probable_Cause(s): <This Stacker/Library Unit may lack the Automatic Cycle Option> \
Recommended_Action(s): <Run the test with Single Pass Option Enabled.>

6002	"Cannot open %s: %s." \
Probable_Cause(s): <No tape media in drive> <Faulty upstream Fibre Channel \
Device such as hba/gbic/hub/switch/cable/tape> \
Recommended_Action(s): <Put a tape in the drive> <Run %s/stexpert -I -o dev=%s \
from the cli to isolate the failing FRU.> <If the problem persists, call \
your authorized Sun service provider.>\n

6005	"Cannot close %s: %s." Probable_Cause(s): \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6006	"%s write failed on %s, block %d: EOF reached." \
Probable_Cause(s): <EOF reached prematurely.> \
Recommended_Action(s): <Retry test with reduced blocksize specification or until EOF.>

6007	"%s write failed on %s, block %d: %s, sense key(0x%x) = %s." \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6008	"%s read failed on %s, block %d: EOF reached." \
Probable_Cause(s): <EOF reached prematurely.> \
Recommended_Action(s): <Retry test with reduced blocksize specification or until EOF.>

6009	"%s read failed on %s, block %d: %s, sense key(0x%x) = %s." Probable_Cause(s): \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6010	"%s compare failed on '%s', block %d, offset %d, pattern 0x%x, data= 0x%x." \
Probable_Cause(s): <Bad Drive.> \
Recommended_Action(s): <Retry test.  If problem persists check/replace the drive.>

6011	"%s tape MTIOCGETDRIVETYPE ioctl: %s." \
Probable_Cause(s): <Bad drive.> \
Recommended_Action(s): <Retry test.  If problem persists check/replace the drive.>

6012	"%s failed on %s: %s." Probable_Cause(s): \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6013	"Failed Connectivity test on %s:%s." \
Probable_Cause(s): <Broken cable or bad drive.> \
Recommended_Action(s): <Check/Replace cable or drive.>

6014	"Failed Online test:%s." \
Probable_Cause(s): <Device may be in use.> \
Recommended_Action(s): <Retry Later.>

6015	"Failed Online test:%s:%s." \
Probable_Cause(s): <No tape media in drive.> \
Recommended_Action(s): <Load tape media and retry test.>

6016	"Online test was unsuccessful:%s." \
Probable_Cause(s): <No tape media in drive.> \
Recommended_Action(s): <Load tape media and retry test.>

6017	"Failed Online read test:%s." \
Probable_Cause(s): <Device Failure or Faulty upstream Fibre Channel \
Device such as hba/gbic/hub/switch/cable/tape> \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6018	"Open Failed on %s: %s." \
Probable_Cause(s): <Device Failure or Faulty upstream Fibre Channel \
Device such as hba/gbic/hub/switch/cable/tape> \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6019	"malloc() failed." \
Probable_Cause(s): <Syetem load too heavy> <System error> \
Recommended_Action(s): <Reduce the system load> <If the problem persists, call your authorized Sun service provider.>

6020	"Device \"%s\" needs to be a tape device's World-Wide number or /dev/rmt/XXXl entry." \
Probable_Cause(s): <Parameter error> \
Recommended_Action(s): <Enter a WWN tape as dev=tape-500104f000436933 or path as dev=/dev/rmt/3l>

6021    "ERROR: Can not select this node while a qlc port is selected."

6022	"ERROR: Didn't find device name."

6023	"Send Diagnostic Command failed: %s"
Probable_Cause(s): <Device Failure or Faulty upstream Fibre Channel \
Device such as hba/gbic/hub/switch/cable/tape> \
<Faulty upstream Fibre Channel Device such as hba/gbic/hub/switch/cable/tape> <Bad drive> \
Recommended_Action(s): <Run %s/stexpert -I -o dev=%s from the cli to isolate the failing FRU.> \
<If the problem persists, call your authorized Sun service provider.>\n

6024	"No more tapes available in the tape stacker library." \
Probable_Cause(s): <Not enough tapes available in the tape stacker library.> \
Recommended_Action(s): <Add more tapes to the tape stacker library or decrease the Number_Of_Tapes in the test.>

6100 "Expert error(s): reference Expert Log\n"

$ -------------------------------------------------
$ ANSI TapeAlert log page parameter codes
$ see 
$ http://webhome2.eng/Sun_IO_Standards/ENDLmailings/cdaccess/t10/drafts/commands/ssc_r22.pdf
$ This is taken from Table 79 in Annex B of that document.
$ --------------------------------------------------

$ Read warning                            Optional Warning
$ The drive is having severe trouble reading.
7001   "\nThe tape drive is having problems reading data.  No data has been lost, but there has been a reduction in the performance of the tape."

$ Write Warning                           Optional Warning
$ The drive is having severe trouble writing.
7002   "\nThe tape drive is having problems writing data. No data has been lost, but there has been a reduction in the capacity of the tape."

$ Hard error                              Mandatory Warning
$ The drive had a hard read or write error.
7003   "\nThe operation has stopped because an error has occurred while reading or writing data which the drive cannot correct."

$ Media                                   Mandatory Critical
$ Media can no longer be written/read, or performance is severely
$ degraded.
7004   "\nYour data is at risk: 1. Copy any data you require from this tape.  2. Do not use this tape again.  3. Restart the operation with a different tape."

$ Read failure                            Mandatory Critical
$ The drive can no longer read data from the tape.
7005   "\nThe tape is damaged or the drive is faulty. Call the tape drive supplier helpline."

$ Write failure                           Mandatory Critical
$ The drive can no longer write data to the tape.
7006   "\nThe tape is from a faulty batch or the tape drive is faulty: 1. Use a good tape to test the drive.  2. If the problem persists, call the tape drive supplier help line."

$ Media life                              Optional Warning
$ The media has exceeded its specified life.
7007   "\nThe tape cartridge has reached the end of its calculated useful life: 1. Copy any data you need to another tape.  2. Discard the old tape."

$ Not data grade                          Optional Warning
$ The drive has not been able to read the MRS stripes.
7008   "\nThe tape cartridge is not data-grade. Any data you back up to the tape is at risk.  Replace the cartridge with a data-grade tape."

$ Write protect                           Optional Critical
$ Write command is attempted to a write protected tape.
7009   "\nYou are trying to write to a write-protected cartridge.  Remove the write-protection or use another tape."

$ No removal                              Optional Infoxxx
$ Manual or s/w unload attempted when prevent media removal on.
7010   "\nYou cannot eject the cartridge because the tape drive is in use.  Wait until the operation is complete before ejecting the cartridge."

$ Cleaning media                          Optional Infoxxx
$ Cleaning tape loaded into drive.
7011   "\nThe tape in the drive is a cleaning cartridge."

$ Unsupported format                      Optional Infoxxx
$ Attempted loaded of unsupported tape format, e.g.  DDS2 in DDS1 drive.
7012   "\nYou have tried to load a cartridge of a type that is not supported by this drive."

$ Recoverable snapped tape                Optional Critical
$ Tape snapped/cut in the drive where media can be ejected.
7013   "\nThe operation has failed because the tape in the drive has snapped: 1. Discard the old tape.  2. Restart the operation with a different tape."

$ Unrecoverable snapped tape              Optional Critical
$ Tape snapped/cut in the drive where media cannot be ejected.
7014   "\nThe operation has failed because the tape in the drive has snapped: 1. Do not attempt to extract the tape cartridge.  2. Call the tape drive supplier helpline."

$ Memory chip in cartridge failure        Optional Warning
$ Memory chip failed in cartridge.
7015   "\nThe memory in the tape cartridge has failed, which reduces performance.  Do not use the cartridge for further backup operations."

$ Forced eject                            Optional Critical
$ Manual or forced eject while drive actively writing or reading.
7016   "\nThe operation has failed because the tape cartridge was manually ejected while the tape drive was actively writing or reading."

$ Read only format                        Optional Warning
$ Media loaded that is read-only format.
7017   "\nYou have loaded a cartridge of a type that is read- only in this drive.  The cartridge will appear as write-protected."

$ Tape directory corrupted on load        Optional Warning
$ Tape drive powered down with tape loaded, or permanent error prevented
$ the tape directory being updated.
7018   "\nThe tape directory on the tape cartridge has been corrupted. File search performance will be degraded. The tape directory can be rebuilt by reading all the data on the cartridge."

$ Nearing media life                      Optional Infoxxx
$ Media may have exceeded its specified number of passes.
7019   "\nThe tape cartridge is nearing the end of its calculated life. It is recommended that you: 1. Use another tape cartridge for your next backup.  2. Store this tape cartridge in a safe place in case you need to restore data from it."

$ Clean now                               Mandatory Critical
$ The drive thinks it has a head clog, or needs cleaning.
7020   "\nThe tape drive needs cleaning: 1. If the operation has stopped, eject the tape and clean the drive.  2. If the operation has not stopped, wait for it to finish and then clean the drive.  Check the tape drive users manual for device specific cleaning instructions."

$ Clean periodic                          Optional Warning
$ The drive is ready for a periodic clean.
7021   "\nThe tape drive is due for routine cleaning: 1. Wait for the current operation to finish.  2. Then use a cleaning cartridge.  Check the tape drive users manual for device specific cleaning instructions."

$ Expired cleaning media                  Mandatory Critical
$ The cleaning tape has expired.
7022   "\nThe last cleaning cartridge used in the tape drive has worn out: 1. Discard the worn out cleaning cartridge.  2. Wait for the current operation to finish.  3. Then use a new cleaning cartridge."

$ Invalid cleaning tape                   Optional Critical
$ Invalid cleaning tape type used.
7023   "\nThe last cleaning cartridge used in the tape drive was an invalid type: 1. Do not use this cleaning cartridge in this drive.  2. Wait for the current operation to finish.  3. Then use a valid cleaning cartridge."

$ Retension requested                     Optional Warning
$ The drive is having severe trouble reading or writing, which will be
$ resolved by a retension cycle.
7024   "\nThe tape drive has requested a retension operation."

$ Dual-port interface error               Optional Warning
$ Failure of one interface port in a dual-port configuration (i.e.
$ Fibre Channel).
7025   "\nA redundant interface port on the tape drive has failed."

$ Cooling Fan Failure                     Optional Warning
$ Fan failure inside tape drive mechanism or tape drive enclosure.
7026   "\nA tape drive cooling fan has failed."

$ Power Supply Failure                    Optional Warning
$ Redundant PSU failure inside the tape drive enclosure or rack
$ subsystem.
7027   "\nA redundant power supply has failed inside the tape drive enclosure. Check the enclosure users manual for instructions on replacing the failed power supply."

$ Power Consumption                       Optional Warning
$ Power onsumption of the tape drive is outside specified range.
7028   "\nThe tape drive power consumption is outside the specified range."

$ Drive maintenance                       Optional Warning
$ The drive requires preventative maintenance (not cleaning).
7029   "\nPreventive maintenance of the tape drive is required.  Check the tape drive users manual for device specific preventive maintenance tasks or call the tape drive supplier helpline."

$ Hardware A                              Optional Critical
$ The drive has a hardware fault that requires reset to recover.
7030   "\nThe tape drive has a hardware fault: 1. Eject the tape or magazine.  2. Reset the drive.  3. Restart the operation."

$ Hardware B                              Mandatory Critical
$ The drive has a hardware fault which is not read/write related or
$ requires a power cycle to recover.
7031   "\nThe tape drive has a hardware fault: 1. Turn the tape drive off and then on again.  2. Restart the operation.  3. If the problem persists, call the tape drive supplier helpline.  Check the tape drive users manual for device specific instructions on turning the device power on and off."

$ Interface                               Optional Warning
$ The drive has identified an interfacing fault.
7032   "\nThe tape drive has a problem with the application client interface: 1. Check the cables and cable connections.  2. Restart the operation."

$ Eject media                             Optional Critical
$ Error recovery action.
7033   "\nThe operation has failed: 1. Eject the tape or magazine.  2. Insert the tape or magazine again.  3. Restart the operation."

$ Download fail                           Optional Warning
$ Firmware download failed.
7034   "\nThe firmware download has failed because you have tried to use the incorrect firmware for this tape drive.  Obtain the correct firmware and try again."

$ Drive humidity                          Optional Warning
$ Drive humidity limits exceeded.
7035   "\nEnvironmental conditions inside the tape drive are outside the specified humidity range."

$ Drive temperature                       Optional Warning
$ Drive temperature limits exceeded.
7036   "\nEnvironmental conditions inside the tape drive are outside the specified temperature range."

$ Drive voltage                           Optional Warning
$ Drive voltage limits exceeded.
7037   "\nThe voltage supply to the tape drive is outside the specified range."

$ Predictive failure                      Optional Critical
$ Predictive failure of drive hardware.
7038   "\nA hardware failure of the tape drive is predicted.  Call the tape drive supplier helpline."

$ Diagnostics required                    Optional Warning
$ The drive may have a hardware fault which may be identified by
$ extended diagnostics (i.e.  SCSI Send Diagnostic).
7039   "\nThe tape drive may have a hardware fault.  Run extended diagnostics to verify and diagnose the problem.  Check the tape drive users manual for device specific instructions on running extended diagnostic tests."

$ Loader hardware A                       Optional Critical
$ Loader mechanism is having trouble communicating with the tape drive.
7040   "\nThe changer mechanism is having difficulty communicating with the tape drive: 1. Turn the autoloader off then on.  2. Restart the operation.  3. If problem persists, call the tape drive supplier helpline."

$ Loader stray tape                       Optional Critical
$ Stray tape left in loader after previous error recovery.
7041   "\nA tape has been left in the autoloader by a previous hardware fault: 1. Insert an empty magazine to clear the fault.  2. If the fault does not clear, turn the autoloader off and then on again.  3. If the problem persists, call the tape drive supplier helpline."

$ Loader hardware B                       Optional Warning
$ Loader mechanism has a hardware fault.
7042   "\nThere is a problem with the autoloader mechanism."

$ Loader door                             Optional Critical
$ Tape changer door open.
7043   "\nThe operation has failed because the autoloader door is open: 1. Clear any obstructions from the autoloader door.  2. Eject the magazine and then insert it again.  3. If the fault does not clear, turn the autoloader off and then on again.  4. If the problem persists, call the tape drive supplier helpline."

$ Loader hardware C                       Optional Critical
$ The loader mechanism has a hardware fault that is not mechanically
$ related.
7044   "\nThe autoloader has a hardware fault: 1. Turn the autoloader off and then on again.  2. Restart the operation.  3. If the problem persists, call the tape drive supplier helpline.  Check the autoloader users manual for device specific instructions on turning the device power on and off."

$ Loader magazine                         Optional Critical
$ Loader magazine not present.
7045   "\nThe autoloader cannot operate without the magazine.  1. Insert the magazine into the autoloader.  2. Restart the operation."

$ Loader predictive failure               Optional Warning
$ Predictive failure of loader mechanism hardware.
7046   "\nA hardware failure of the changer mechanism is predicted. Call the tape driver supplier helpline."

$ Lost statistics                         Optional Warning
$ Drive or library powered down with tape loaded.
7050   "\nMedia statistics have been lost at some time in the past."

$ Tape directory invalid at unload        Optional Warning
$ Error preventing the tape directory being updated on unload.
7051   "\nThe tape directory on the tape cartridge just unloaded has been corrupted. File search performance will be degraded. The tape directory can be rebuilt by reading all the data."

$ Tape system area write failure          Optional Critical
$ Write errors while writing the system log on unload.
7052   "\nThe tape just unloaded could not write its system area successfully: 1. Copy data to another tape cartridge.  2. Discard the old cartridge."

$ Tape system area read failure           Optional Critical
$ Read errors while reading the system area on load.
7053   "\nThe tape system area could not be read successfully at load time: 1. Copy data to another tape cartridge."

$ No start of data                        Optional Critical
$ Tape damaged, bulk erased, or incorrect format.
7054   "\nThe start of data could not be found on the tape: 1. Check that you are using the correct format tape.  2. Discard the tape or return the tape to your supplier."

$ --------------------------------------------------
$ FATAL
$ --------------------------------------------------

8000 "Failed to create buffer %d:%ld" Probable_Cause(s): <Not enough memory> Recommended_Action(s): <Reduce the system load> <If the problem persists, call your authorized Sun service provider.>

8001 "Failed aioread :offset: %lld,%d,%s" Probable_Cause(s): <Does this OS support Asynchronous Tape Drive operation?> <Cable/Drive/Controller> Recommended_Action(s):  <De-select AsyncIO Test method if not supported> <If the problem persists, call your authorized Sun service provider.>

8002 "Failed aiowrite :offset: %lld,%d,%s" Probable_Cause(s): <Does this OS support Asynchronous Tape Drive operation?> <Cable/Drive/Controller> Recommended_Action(s):  <De-select AsyncIO Test method if not supported> <If the problem persists, call your authorized Sun service provider.>

10000 "tapetest probe: WARNING: Failed to open /etc/path_to_inst.\n"
